package com.pcloud.book.cultivate.dao.impl;

import com.pcloud.book.cultivate.dao.CultivateNotifyDao;
import com.pcloud.book.cultivate.dto.CultivateNotifyDTO;
import com.pcloud.book.cultivate.entity.CultivateNotify;
import com.pcloud.common.core.dao.BaseDaoImpl;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Component("cultivateNotifyDao")
public class CultivateNotifyDaoImpl extends BaseDaoImpl<CultivateNotify> implements CultivateNotifyDao {

    @Override
    public List<CultivateNotify> getByIds(List<Long> ids) {
        Map<String,Object> map=new HashMap<>();
        map.put("ids",ids);
        return super.getSqlSession().selectList(getStatement("getByIds"), map);
    }
}
